<%@include file="includes/taglibs.jsp"%>

<portlet:defineObjects/>
<fmt:setBundle basename="hu.midori.kosmos.portlet.svn.svn_monitoring" scope="application"/>

<display:table name="${repositories}" id="repository" requestURI="<%=renderResponse.createRenderURL().toString() %>" requestURIcontext="false">
  <c:set var="id" scope="page" value="${repository.id}"/>
  <display:column style="width: 20px;">
    <c:choose>
      <c:when test="${repository.latestTouchAgeInDays > 31}">
        <img src="<c:url value="/pages/images/old.gif"/>" title="<fmt:message key="legend.old"/>"/>
      </c:when>
      <c:otherwise>
        &nbsp;
      </c:otherwise>
    </c:choose>
  </display:column>
  <display:column titleKey="svnrepository.location" style="white-space: nowrap;" sortProperty="location" sortable="true">
    <a href="${repository.location}" <c:if test="${repository.latestTouchAgeInDays > 31}">style="text-decoration: line-through;"</c:if>>${repository.location}</a>
    &nbsp;
    <a href="<portlet:renderURL><portlet:param name="action" value="viewRepositoryDetails"/><portlet:param name="id" value="<%= pageContext.getAttribute("id").toString() %>"/></portlet:renderURL>">
      <img src="<c:url value="/pages/images/info.gif"/>" title="<fmt:message key="svnrepository.repositoryDetails"/>" border="0"/>
    </a>
  </display:column>
  <display:column titleKey="svnrepository.revision" style="white-space: nowrap;" sortProperty="revision" sortable="true">
    ${repository.revision}
    &nbsp;
    <a href="<portlet:renderURL><portlet:param name="action" value="viewRevisionDetails"/><portlet:param name="id" value="<%= pageContext.getAttribute("id").toString() %>"/></portlet:renderURL>">
      <img src="<c:url value="/pages/images/info.gif"/>" title="<fmt:message key="svnrepository.revisionDetails"/>" border="0"/>
    </a>
  </display:column>
  <display:column titleKey="svnrepository.committersTotal" style="white-space: nowrap;" sortProperty="committersTotal" sortable="true">
    <fmt:formatNumber value="${repository.committersTotal}"/>
    <a href="<portlet:renderURL><portlet:param name="action" value="viewCommitterDetails"/><portlet:param name="id" value="<%= pageContext.getAttribute("id").toString() %>"/></portlet:renderURL>">
      <img src="<c:url value="/pages/images/info.gif"/>" title="<fmt:message key="svnrepository.committerDetails"/>" border="0"/>
    </a>
  </display:column>
  <display:column titleKey="svnrepository.activityLast7Days" style="white-space: nowrap;" sortProperty="activity" sortable="true">
    <c:if test="${repository.activity < 0.05}"><span class="portlet-msg-error"></c:if>
    <fmt:formatNumber value="${repository.activity}" type="percent" minFractionDigits="1" maxFractionDigits="1"/>
    <c:if test="${repository.activity < 0.05}"></span></c:if>
    &nbsp;
    <a href="<portlet:renderURL><portlet:param name="action" value="viewActivityDetails"/><portlet:param name="id" value="<%= pageContext.getAttribute("id").toString() %>"/></portlet:renderURL>">
      <img src="<c:url value="/pages/images/info.gif"/>" title="<fmt:message key="svnrepository.activityDetails"/>" border="0"/>
    </a>
  </display:column>
  <display:column titleKey="svnrepository.latestTouchAge" style="white-space: nowrap;" sortProperty="latestTouchAge" sortable="true">
    <c:if test="${repository.latestTouchAgeInDays > 31}"><span class="portlet-msg-error"></c:if>
      <kosmos:age time="${repository.latestTouchAge}"/>
    <c:if test="${repository.latestTouchAgeInDays > 31}"></span></c:if>
  </display:column>
  <display:footer>
    <%@include file="includes/table_footer.jsp"%>
  </display:footer>
</display:table>

<form action="<portlet:renderURL/>" method="post">
  <input type="submit" class="portlet-form-button" name="submit" value="<fmt:message key="action.refresh"/>"/>
</form>
